CREATE TABLE IF NOT EXISTS t_vehicle (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    carno TEXT,
    car_type TEXT,
    car_name TEXT,
    car_logo TEXT,
    serial_id TEXT,
    brand_id TEXT,
    buy_year TEXT,
    buy_price REAL,
    expired_month INTEGER,
    display_order INTEGER,
    create_time TEXT,
    update_time TEXT,
    nick_name TEXT,
    sync INTEGER,
    query_time INTEGER,
    phone_number TEXT,
    car_user_name TEXT,
    chexian_date TEXT,
    car_type_name TEXT,
    car_type_category INTEGER,
    extra TEXT,
    mucang_id TEXT,
    top_time INTEGER,
    mot_expire_days INTEGER,
    cid INTEGER,
    remark TEXT,
    model_id TEXT

);
CREATE TABLE IF NOT EXISTS t_vehicle_city (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    carno TEXT,
    car_type TEXT,
    city_code TEXT,
    city_name TEXT,
    create_time TEXT,
    attr TEXT,
    status INTEGER,
    current_weizhang_count INTEGER,
    current_score INTEGER,
    current_fine INTEGER,
    history_weizhang_count INTEGER,
    history_score INTEGER,
    history_fine INTEGER,
    is_main_city INTEGER,
    display_order INTEGER,
    cid INTEGER
);
CREATE TABLE IF NOT EXISTS t_city_input (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    carno TEXT,
    car_type TEXT,
    city_code TEXT,
    city_name TEXT,
    input_name TEXT,
    input_value TEXT,
    create_time TEXT,
    update_time TEXT,
    cid INTEGER
);
CREATE TABLE IF NOT EXISTS t_city_rank (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    period TEXT,
    city_name TEXT,
    city_code TEXT,danger INTEGER,
    fine INTEGER,
    frequency TEXT,
    longitude REAL,
    latitude REAL,
    provider TEXT,
    rank INTEGER,
    score INTEGER,
    token TEXT,
    vehicle_count INTEGER,
    weizhang_count INTEGER,
    address TEXT,
    title TEXT,
    create_time TEXT
);
CREATE TABLE IF NOT EXISTS t_hero_rank (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    period TEXT,
    city_name TEXT,
    city_code TEXT,
    beat_rate REAL,
    carno TEXT,
    rank INTEGER,
    start_end_time TEXT,
    token TEXT,
    days INTEGER,
    detail_days TEXT,
    title TEXT,
    create_time TEXT
);
CREATE TABLE IF NOT EXISTS t_killer_rank (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    period TEXT,
    city_name TEXT,
    city_code TEXT,
    beat_rate REAL,
    carno TEXT,
    rank INTEGER,
    score INTEGER,
    fine INTEGER,
    token TEXT,
    weizhang_count INTEGER,
    title TEXT,
    create_time TEXT
);
CREATE TABLE IF NOT EXISTS t_jiaoguanju_info (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    city_name TEXT,
    city_code TEXT,
    name TEXT,
    address TEXT,
    phone TEXT,
    longitude REAL,
    latitude REAL,
    provider TEXT,
    create_time TEXT
);
CREATE TABLE IF NOT EXISTS t_weizhang_record (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    carno TEXT,
    car_type TEXT,
    city_code TEXT,
    time TEXT,
    address TEXT,
    reason TEXT,
    rule_id TEXT,
    result TEXT,
    token TEXT,
    authority TEXT,
    fine INTEGER,
    score INTEGER,
    status INTEGER,
    longitude REAL,
    latitude REAL,
    provider TEXT,
    danger INTEGER,
    frequency TEXT,
    create_time TEXT,
    weizhang_city TEXT
);
CREATE TABLE IF NOT EXISTS t_my_hero_rank (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    carno TEXT,
    car_type TEXT,
    city_code TEXT,
    period TEXT,
    beat_rate REAL,
    rank INTEGER,
    start_end_time TEXT,
    token TEXT,
    days INTEGER,
    create_time TEXT
);
CREATE TABLE IF NOT EXISTS t_my_killer_rank (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    carno TEXT,
    car_type TEXT,
    city_code TEXT,
    period TEXT,
    beat_rate REAL,
    rank INTEGER,
    score INTEGER,
    fine INTEGER,
    token TEXT,
    weizhang_count INTEGER,
    create_time TEXT
);
CREATE TABLE IF NOT EXISTS t_driving_license (
    _id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    name TEXT,
    id_code TEXT,
    number TEXT,
    score TEXT,
    query_time INTEGER,
    grant_time TEXT,
    license_type TEXT
);