CREATE TABLE "t_compare" (
	 "_id" INTEGER NOT NULL,
	 "brand_id" INTEGER,
	 "brand_name" TEXT,
	 "serial_id" INTEGER,
	 "serial_name" TEXT,
	 "car_id" INTEGER UNIQUE,
	 "car_name" TEXT,
	 "car_full_name" TEXT,
	 "year" INTEGER,
	 "in_compare" INTEGER DEFAULT 0,
	 "price" TEXT,
	 "create_time" INTEGER NOT NULL,
	 "sync_status" INTEGER DEFAULT 0,
	  "logo_url" TEXT,
	PRIMARY KEY("_id")
);
CREATE TABLE "t_history" (
	 "_id" INTEGER NOT NULL,
	 "type" INTEGER,
	 "brand_id" INTEGER,
	 "brand_name" TEXT,
	 "serial_id" INTEGER,
	 "serial_name" TEXT,
	 "car_id" INTEGER,
	 "car_name" TEXT,
	 "year" INTEGER,
	 "short_info" TEXT,
	 "price" TEXT,
	 "img_url" TEXT,
	 "create_time" INTEGER NOT NULL,
	 "update_time" INTEGER,
	 "ispk" INTEGER DEFAULT 0,
	 "stopsale" INTEGER DEFAULT 0,
	 "logo_url" TEXT,
	 "sale_status" INTEGER,
     "level" TEXT,
     "min_price" INTEGER DEFAULT 0,
     "max_price" INTEGER DEFAULT 0,
     "extra" TEXT,
	PRIMARY KEY("_id")
);
CREATE TABLE "t_favorite" (
	 "_id" INTEGER NOT NULL,
	 "type" INTEGER,
	 "brand_id" INTEGER,
	 "brand_name" TEXT,
	 "serial_id" INTEGER,
	 "serial_name" TEXT,
	 "car_id" INTEGER,
	 "car_name" TEXT,
	 "year" INTEGER,
	 "short_info" TEXT,
	 "price" TEXT,
	 "img_url" TEXT,
	 "create_time" INTEGER NOT NULL,
	 "update_time" INTEGER,
	 "stopsale" INTEGER DEFAULT 0,
	 "sync_status" INTEGER DEFAULT 0,
	 "logo_url" TEXT,
	 "extra" TEXT,
     "level" TEXT,
     "min_price" INTEGER DEFAULT 0,
     "max_price" INTEGER DEFAULT 0,
     "sale_status" INTEGER,
	PRIMARY KEY("_id")
);
CREATE TABLE "t_order" (
	 "_id" INTEGER NOT NULL,
	 "attachment" TEXT,
	 "car_id" INTEGER,
	 "dealer_ids" INTEGER,
	 "order_id" TEXT NOT NULL,
	 "city_code" TEXT,
	 "phone" TEXT,
	 "name" TEXT,
	 "serial_id" INTEGER,
	 "entrance_page_id" TEXT,
	 "entrance_page_name" TEXT,
	 "entrance_page1" TEXT,
     "entrance_page2" TEXT,
	 "order_main_type" INTEGER NULL,
	 "order_type" INTEGER NOT NULL,
	 "client_created_time" INTEGER NOT NULL,
	 "expected_price" INTEGER,
	 "status" INTEGER DEFAULT 0,
	 "serial_name" TEXT,
	 "car_name" TEXT,
	 "car_year" TEXT,
	 "car_guide_price" TEXT,
	 "serial_logo_url" TEXT,
	 "order_source" INTEGER DEFAULT 0,
	 "dealer_collect" TEXT,
	 "mucang_id" TEXT,
	 "auth_token" TEXT,
	PRIMARY KEY("_id")
);
CREATE TABLE "t_search_history" (
	 "_id" INTEGER NOT NULL,
	 "search_key_id" TEXT,
	 "search_type" TEXT,
	 "brand_logo_url" TEXT,
	 "search_string" TEXT NOT NULL,
	PRIMARY KEY("_id")
);
CREATE TABLE "t_tpc_log" (
    "_id" INTEGER NOT NULL,
    "type" INTEGER NOT NULL,
    "content" TEXT,
    "status" INTEGER DEFAULT 0,
    "create_time" INTEGER,
    PRIMARY KEY("_id")
);